From a75cddf02089f68e77e6ccad6f77d7704b06eb79 Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <barracuda@macos-powerpc.org>
Date: Sun, 4 Aug 2024 01:09:46 +0800
Subject: [PATCH 08/21] gpu_apple.c: fix for old systems

---
 src/detection/gpu/gpu_apple.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/detection/gpu/gpu_apple.c b/src/detection/gpu/gpu_apple.c
index 1190a636..b6fb2721 100644
--- a/src/detection/gpu/gpu_apple.c
+++ b/src/detection/gpu/gpu_apple.c
@@ -4,6 +4,7 @@
 #include "detection/temps/temps_apple.h"
 #include "util/apple/cf_helpers.h"
 
+#include <AvailabilityMacros.h>
 #include <IOKit/graphics/IOGraphicsLib.h>
 
 const char* ffGpuDetectMetal(FFlist* gpus);
@@ -98,7 +99,9 @@ const char* ffDetectGPUImpl(const FFGPUOptions* options, FFlist* gpus)
         gpu->dedicated.total = gpu->dedicated.used = gpu->shared.total = gpu->shared.used = FF_GPU_VMEM_SIZE_UNSET;
         gpu->type = FF_GPU_TYPE_UNKNOWN;
         gpu->frequency = FF_GPU_FREQUENCY_UNSET;
+#if MAC_OS_X_VERSION_MIN_REQUIRED >= 1060 && !defined(__ppc__)
         IORegistryEntryGetRegistryEntryID(registryEntry, &gpu->deviceId);
+#endif
         ffStrbufInitStatic(&gpu->platformApi, "Metal");
 
         ffStrbufInit(&gpu->driver); // Ok for both Apple and Intel
-- 
2.46.0

